﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.07
@EndOfDesignText@
'Static code module
Sub Class_Globals	
	Public vuetify As VuetifyApp
	Public page As VueComponent
	Public path As String
	Public name As String = "home"
	Private banano As BANano			'ignore
	Private btnStartLoader As VBtn		'ignore
	Private btnStopLoader As VBtn		'ignore
		
	Private VFileInput1 As VFileInput 'ignore
	Private VImg1 As VImg 'ignore
	
	Private VList1 As VList	'ignore
	Private VListOptions1 As VListOptions			'ignore
End Sub

Sub Initialize(v As VuetifyApp)						'ignoreDeadCode
	'establish a reference to the app
	vuetify = v
	'initialize the component
	page.Initialize(Me, name)
	page.vuetify = vuetify
	'make this the start page
	page.StartPage
	path = page.path

	'build the page html here
	banano.LoadLayout(page.Here, "home")
	VList1.SetOptions(VListOptions1)
			
	'add this route component to the app
	vuetify.AddRoute(page)
End Sub

Private Sub VFileInput1_Change (fileObj As Map)
	If banano.IsNull(fileObj) Or banano.IsUndefined(fileObj) Then Return
	VFileInput1.UpdateLoading(page, True)
	
	Dim fileDet As FileObject
	fileDet = BANanoShared.GetFileDetails(fileObj)
	Private fnm As String
	fnm = fileDet.FileName
		
	fileDet=BANanoShared.UploadFileWait(fileObj)
	
	'Dim fp As String = fileDet.FullPath
	Dim sstatus As String = fileDet.Status
	
	Select Case sstatus
		Case "error"
			vuetify.ShowSwalNotificationError($"file ${fnm} don't loaded"$,10000)
		Case "success"
			VImg1.SetImage(page,fileDet.FullPath)
			
			vuetify.ShowSwal("Uploaded on assets folder")
	End Select
	
	VFileInput1.UpdateLoading(page, False)
	refresh
End Sub

Private Sub refresh
	VList1.Clear(page)
	VList1.AddHeader("File founded")
	'VList1.AddItem("","empty","","blue","empty","")

	Dim res As String = banano.CallInlinePHPWait("listdir", CreateMap("path":"assets"))
	For Each namefile As String In Split("&",res)
		VList1.AddItem("",namefile,"mdi-file","blue",namefile.Replace("assets/",""),"")
	Next
	If res="" Then VList1.AddItem("","Empty","mdi-alert","red","Empty","")
	
	VList1.Refresh(page)
End Sub

'Use beforeDestroy if you need to clean-up events or reactive subscriptions:	
'Sub beforedestroy		'ignoreDeadCode
'	Log("beforedestroy")
'End Sub

'The updated hook runs after data changes on your component and the DOM re-renders.
'Sub updated			'ignoreDeadCode
'	Log("updated")
'End Sub

'The beforeUpdate hook runs after data changes on your component and the update cycle begins, right before the DOM is patched and re-rendered.
'Sub beforeupdate		'ignoreDeadCode
'	Log("beforeupdate")
'End Sub

'The beforeMount hook runs right before the initial render happens and after the template or render functions have been compiled:
'Sub beforemount		'ignoreDeadCode
'	Log("beforemount")
'End Sub

'The beforeCreate hook runs at the very initialization of your component. data has not been made reactive, and events have not been set up yet
'Sub beforecreate		'ignoreDeadCode
'	Log("beforecreate")
'End Sub

'You are able to access reactive data and events that are active with the created hook.
'Templates and Virtual DOM have not yet been mounted or rendered:
'Sub created		'IgnoreDeadCode
'	Log("created")
'End Sub

'In the mounted hook, you will have full access to the reactive component, templates, and rendered DOM
Sub mounted		'ignoreDeadCode
	refresh
End Sub

'Use destroyed if you need do any last-minute cleanup or inform a remote server that the component was destroyed:
'Sub destroyed		'ignoreDeadCode
'	Log("destroyed")
'End Sub

Private Sub Split(Pattern As String, str As String) As String()
	Dim I As Int = 0
	Dim F As Int = 0
	Dim Le As Int = Pattern.Length
	Dim L As List
	
	'l=BANano.Split(".", "alain.is.here")
	L.Initialize
	F=str.IndexOf2(Pattern,0)
	Do While F>-1
		L.Add(str.SubString2(I,F))
		I=F+Le
		F=str.IndexOf2(Pattern,i)
	Loop
	
	If l.Size=0 Then
		Return Array As String()
	Else
		Dim Rs(l.Size) As String
		For i=0 To L.Size-1
			Dim S As String = L.Get(I)
			Rs(I)=S.Trim
		Next
		
		Return Rs
	End If
End Sub

Private Sub VList1_Click (item As Map)
	VImg1.SetImage(page,Main.ServerIP & item.Get("id"))
End Sub